[Ovirt-devel] work around "*** ERROR: No build ID note found in..." on rawhide

Jim Meyering jim at meyering.net
Mon Sep 8 15:20:15 UTC 2008


Mohammed Morsi <mmorsi at redhat.com> wrote:
> Jim Meyering wrote:
>> Anyhow, first things first.
>> I have 4 change sets, three tiny ones and the autoconfication one.
>>
>> Autoconfiscation fixes the problem mentioned in the title.
>> However note that you'll need the following small tweak to
>> release/ovirt.mk in order to actually use it.
...
> I'm assuming that the autoconfiscate patch below is to be applied only
> to the node side of things, correct?

Yes.

> If that is the case, am I also
> correct in saying that this will fail with our current oVirt setup since
> ovirt-server and the other other repos don't currently have autogen.sh
> scripts?

No.  This affects only the ovirt-node repo.
The other repositories/subdirs are independent.

>> diff --git a/autogen.sh b/autogen.sh
...
>> +  test -f ovirt-identify-node.h || {
>> +	  echo "You must run this script in the top-level directory"
>> +	  exit 1
>> +  }
>>
> Should this be test ! -f ovirt-identify-node.h? The way it is now, it
> fails if that file (which is in the ovirt-identify-node subdir) isn't
> present in the current directory.

Good catch!  That should be testing for an expected-to-exist
file somewhere in the hierarchy.  My first iteration of autogen.sh
was in the ovirt-identify-node subdir.  Here's the fix (along with
the tar-rule fix one from discussion with Dan) that I'm folding in:

diff --git a/Makefile.am b/Makefile.am
index 506dbd2..0ae494d 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -39,9 +39,5 @@ include release.mk
 pkg_name = ovirt-node
 .PHONY: tar
 tar: dist
-	tar xf $(distdir).tar.gz
 	mkdir -p rpm-build/BUILDROOT
-	tar zcvf rpm-build/$(NV).tar.gz $(NV)
-	cp version rpm-build
-	chmod -R u+rwx $(NV)
-	rm -rf $(NV)
+	cp version $(distdir).tar.gz rpm-build
diff --git a/autogen.sh b/autogen.sh
index 77fe883..85352f0 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -35,7 +35,7 @@ THEDIR=`pwd`

   test $die = 1 && exit 1

-  test -f ovirt-identify-node.h || {
+  test -f ovirt-node.spec || {
 	  echo "You must run this script in the top-level directory"
 	  exit 1
   }

> Other than that it looks good as far as I can tell; as after I applied
> that patch and made the aforementioned change I was able to run
> "autogen.sh" and "make" to produce the ovirt-node rpms.

Thanks for the feedback and for testing.




More information about the ovirt-devel mailing list